%define orgname		memcached

Name:           repcached
Version:        1.4.13
Release:        4.1
Summary:        High Performance, Distributed Memory Object Cache

Group:          System Environment/Daemons
License:        BSD
Source0:        http://memcached.googlecode.com/files/%{orgname}-1.4.13.tar.gz
Patch1:		repcached-2.3.1-1.4.13.patch
BuildRoot:      %{_tmppath}/%{orgname}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libevent-devel
BuildRequires:  perl(Test::More)
Requires: initscripts

%description
memcached is a high-performance, distributed memory object caching
system, generic in nature, but intended for use in speeding up dynamic
web applications by alleviating database load.

Patched to become a replicated memcached 

%prep
%setup -q -n %{orgname}-1.4.13
%patch1 -p1

%build
./configure \
	--prefix=/usr \
	--enable-replication

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove memcached-debug
rm -f %{buildroot}/%{_bindir}/memcached-debug

# Perl script for monitoring memcached
install -Dp -m0755 scripts/memcached-tool %{buildroot}%{_bindir}/memcached-tool

# Init script
install -Dp -m0755 scripts/memcached.sysv %{buildroot}%{_initrddir}/memcached

# Default configs
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
cat <<EOF >%{buildroot}/%{_sysconfdir}/sysconfig/%{orgname}
PORT="11211"
USER="nobody"
MAXCONN="1024"
CACHESIZE="64"
OPTIONS=""
EOF

# pid directory
mkdir -p %{buildroot}/%{_localstatedir}/run/memcached

%clean
rm -rf %{buildroot}


%post
/sbin/chkconfig --add %{orgname}

%preun
if [ "$1" = 0 ] ; then
    /sbin/service %{orgname} stop > /dev/null 2>&1
    /sbin/chkconfig --del %{orgname}
fi
exit 0

%postun
if [ "$1" -ge 1 ]; then
    /sbin/service %{orgname} condrestart > /dev/null 2>&1
fi
exit 0


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README doc/CONTRIBUTORS doc/*.txt
%config(noreplace) %{_sysconfdir}/sysconfig/%{orgname}

%dir %attr(750,nobody,nobody) %{_localstatedir}/run/memcached
%{_bindir}/memcached-tool
%{_bindir}/memcached
%{_mandir}/man1/memcached.1*
%{_initrddir}/memcached
%{_includedir}/memcached

%changelog
